<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
define("DATA_FILE", "./../configure/configadmin-a.inc.php");
extract($_POST);
$sysmail=($_POST['sysmail']);
@$userdatasend=($_POST['userdatasend']);
if($userdatasend == ""){@$_POST['userdatasend']="off";}else{@$_POST['userdatasend']="on";}
$userdatasend=($_POST['userdatasend']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[sysmail])<=0){@$_POST[sysmail]="";}
if (strlen(@$_POST[userdatasend])<=0){@$_POST[userdatasend]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/sysmail=(.+?);/';
$patterns[1]='/userdatasend=(.+?);/';

@$replacements[0]=sprintf("sysmail=%s%s%s;",$t,$_POST[sysmail],$t);
@$replacements[1]=sprintf("userdatasend=%s%s%s;",$t,$_POST[userdatasend],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_POST[langX1]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

include("./../configure/configadmin-z.inc.php");
$pass2=$pass;

extract($_POST);
$user=($_POST['user']);
$pass=($_POST['pass']);

if($pass == ""){
$pass=$pass2;
}else{
$_POST['pass']=md5($_POST['pass']);
$pass=($_POST['pass']);
}

$pwNew="<?PHP 
\$user='$user';
\$pass='$pass';
?>";
$savePW="./../configure/configadmin-z.inc.php";
$handle=fopen($savePW, "w");
fwrite($handle,$pwNew);
fclose($handle);
$oldumask = umask(0);
chmod($savePW, 0644);
umask($oldumask);

include("./../function/forward-s-i.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$ilink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>

</div>
